On my iPhone, I usually use the termius SSH client but today when I tried to start termius it said "This app must be updated". So I updated and then termius asked me to create an account to be able to use it. That's a no go and I decided to search for a new app. Note that termius for Android is still OK to use.

My new SSH client is: Shelly So far it works fine.

This happened before: In 2011, I was using the SSH client called Prompt then I was forced to update the app and couldn't use it anymore, that's when I started using termius.